// Ispisivanje sadraja datoteke o tediama.

#include <stdio.h>
#include <stdlib.h>
#include "stedisa.h"

int main() {

  // Otvaranje datoteke o tediama:
  FILE *stednja;              // - datoteka o tediama
  if ((stednja = fopen("stedise.dat", "r+b")) == NULL) exit(1);
  unsigned int veldat;        // - broj zapisa u datoteci
  fread(&veldat, sizeof veldat, 1, stednja);

  // Ispisivanje podataka o pojedinim tediama:
  for (unsigned sifra=1; sifra<=veldat; sifra++) {

    // itanje sledeeg zapisa iz datoteke: 
    printf("%3d", sifra);
    Stedisa stedisa;          // - po jednom tedii
    fread(&stedisa, sizeof stedisa, 1, stednja);
    if (stedisa.ime.prezime[0] != '\0') {
      // Prikaz podataka o postojeem tedii:
      unsigned k = printf(" %s %s", stedisa.ime.prezime,
                                    stedisa.ime.licno_ime);
      for (unsigned i=k; i<34; i++) putchar(' ');
      printf("%8.2f\n", stedisa.stanje);
    } else
      // Prazan zapis, stedia ne postoji:
      printf(" *** Ne postoji stedisa s ovom sifrom  ***\n");
  }
}
